Description

As we use trackers to keep track of issues, having trackers for projects would help keep track of projects and hence, keep the

organisation project portfolio tidy.

Here at redmine.org there is just one active project only, but in organisations like mine you can easily have 100 or more. In these

cases the need for an additional tracking level is very interesting.

To achieve that, we don't need a new concept. Treating projects as issues and so, having trackers for projects the same we have

now for issues would be enough, very powerful and it wouldn't modify at all Redmine current philosophy. It would be a quite natural

way of doing it

Example: Each department could collect its projects in a tracker and so: have them inventored, prioritised, assign a project

responsible, close projects, define states for each (incubating, on-hold, alive, closed). All the same we do now for issues but for

projects.

Related issues:

Related to Redmine - Feature #3224: Better project list Closed 2009-04-23

History

#1 - 2011-01-06 11:17 - Etienne Massip

+1

#2 - 2011-01-27 16:11 - Chad Hauff

+1

We have a similar need here. We have dozens of projects open at one time, and the senior managers, who oversee the project managers, want a

summary on the projects for just their staff.

For example, project managers 'A', 'B', and 'C' all report to me. They each have 3 projects. I want a 'summary' view of all 9 projects, with a project

status and most recent update.

Senior management is reviewing alternative software packages that are good at this level of reporting (but lousy at handling the basic issue tracking

and project management that Redmine does so well)

#3 - 2011-01-27 17:37 - Brian Lindahl

Why not just create a 'Project Management' project, with each real project being an issue with your typical fields: priorities, start dates, due dates,

progress, etc? You can create a tracker called 'Project' with its own states and workflows.  Each senior manager could create an issue for the project.

Thus, you could filter projects that you're in charge of, by filtering issues by 'author'. The project manager for each project would be the assignee. I fail

to see how this wouldn't provide the feature and solution you want? The Gantt chart, and Issue summary view would provide a basic overview of the

status of projects. You then get, for free, wikis, discussion boards, etc. for the senior management.

#4 - 2011-01-28 10:04 - Pedro Gutierrez

Hi Brian, your proposal makes certain sense. However, I see it applicable only when you just want a catalog of projects and are not interested in

managing each one using Redmine's full potential.

I.e. with the approach you propose, there a couple of difficult to live with problems:

You can't have either a Gantt or a Wiki, or a documents section, or a repository... for each project. Everything should be shared among projects

The permissions would be a little bit difficult to manage. Every one should have access to every project

Brian Lindahl wrote:

Why not just create a 'Project Management' project, with each real project being an issue with your typical fields: priorities, start dates, due
dates, progress, etc? You can create a tracker called 'Project' with its own states and workflows.  Each senior manager could create an issue for

the project. Thus, you could filter projects that you're in charge of, by filtering issues by 'author'. The project manager for each project would be

the assignee. I fail to see how this wouldn't provide the feature and solution you want? The Gantt chart, and Issue summary view would provide

a basic overview of the status of projects. You then get, for free, wikis, discussion boards, etc. for the senior management.

#5 - 2011-03-07 09:50 - Etienne Massip

- Category set to Projects

#6 - 2012-02-01 17:07 - Dariusz Kowalski

+1
